JC - 19/03/2008

jcedithtml - éditeur de textes html
anciennes versions pour Linux

Bien qu'il soit préférable d'utiliser la dernière version, qu'il est très facile d'installer sous la forme pré-compilée, il reste possible d'obtenir l'ancienne version 0.2 fonctionnant sous Linux avec qt2 ou qt3.

Comment obtenir JcEditHtml version 0.2 pour Linux

Deux distributions sont disponibles pour cette version 0.2 de JcEditHtml :

Ces fichiers d'archive contiennent :

Les sources sont identiques dans les deux distributions, hormis les sources des boîtes de dialogue créés avec QtDesigner ainsi que les fichiers nécessaires à la compilation et l'installation qui dépendent de la version de Qt disponible sur votre installation.

Si votre distribution Linux ne contient pas l'une de ces versions de Qt, consultez le site http://www.trolltech.com/qt/

Il y a également un fichier README qui reprend ce qui est dans cette page.

Configuration requise

Un ordinateur fonctionnant sous Linux, les bibliothèques Qt version 2.3.1. ou version 3.1.1 (ou compatibles)

Compilation et installation :

Effectuez le décompactage du fichier jcedithtml.tar.gz ( ou jcedithtml-0.2-qt2.tar.gz si vous utilisez Qt2) dans le répertoire de votre choix. Cette opération crée le répertoire jcedithtml-0.2 (sous-répertoire du répertoire que vous avez choisi pour le décompactage)

Placez-vous dans ce répertoire jcedithtml-0.2 et tapez les commandes suivantes (sous root pour la dernière) :


JcEditHtml utilise autoconf et vous ne devriez pas rencontrer de problème.

A l'issue de cette procédure d'installation,